package com.codvision.commoncore.enums;

/**
 * where 条件操作符号
 *
 * @author lingee
 * @date 2022/5/9
 */
public enum SqlOperator {
    /**
     * like
     */
    LIKE("LIKE"),
    /**
     * =
     */
    EQ("="),
    /**
     * 不等于
     */
    NE("<>"),
    /**
     * 大于
     */
    GT(">"),
    /**
     * 大于等于
     */
    GE(">="),
    /**
     * 小于
     */
    LT("<"),
    /**
     * 小于等于
     */
    LE("<="),
    /**
     * 为空
     */
    IS_NULL("IS NULL"),
    /**
     * 不为空
     */
    IS_NOT_NULL("IS NOT NULL"),
    /**
     * 范围查找
     */
    BETWEEN("BETWEEN"),
    /**
     * 多数据查找
     */
    IN("IN");

    private final String operator;

    SqlOperator(String operator) {
        this.operator = operator;
    }

    public String getOperator() {
        return operator;
    }
}
